## ros-iron-angles 1.16.0

=== debian/changelog ===
ros-iron-angles (1.16.0-4jammy) jammy; urgency=high

  * Correct versions for version bump
  * ROS 2 Python Port (#37 <https://github.com/ros/angles/issues/37>)
  * Fix M_PI on Windows (#34 <https://github.com/ros/angles/issues/34>)
  * Contributors: Akash, David V. Lu!!, Geoffrey Biggs

 -- Tully Foote <tfoote@osrfoundation.org>  Mon, 11 Jul 2022 16:00:00 -0000

ros-iron-angles (1.13.0-4jammy) jammy; urgency=high

  * Export ament_cmake buildtool dependency (#32 <https://github.com/ros/angles/issues/32>)
  * Install includes to include/angles and add modern CMake target (#28 <https://github.com/ros/angles/issues/28>)
  * Contributors: Shane Loretz

 -- Tully Foote <tfoote@osrfoundation.org>  Mon, 17 Jan 2022 16:00:00 -0000

ros-iron-angles (1.12.4-4jammy) jammy; urgency=high

  * Upgrade to setuptools (#23 <https://github.com/ros/angles/issues/23>)
  * Contributors: Tully Foote

 -- Tully Foote <tfoote@osrfoundation.org>  Wed, 17 Mar 2021 16:00:00 -0000

ros-iron-angles (1.12.3-4jammy) jammy; urgency=high

  * Update the angle normalization function to a simpler implementation (#19 <https://github.com/ros/angles/issues/19>) (#21 <https://github.com/ros/angles/issues/21>)
    * Update the angle normalization function for a simpler alternative
    * Simplify 2*pi angle wrapping.
    * Simplify/fasten the C++ implementation of angle normalization (removes one fmod call)
  * Contributors: Alexis Paques

 -- Tully Foote <tfoote@osrfoundation.org>  Tue, 10 Mar 2020 16:00:00 -0000

ros-iron-angles (1.12.2-4jammy) jammy; urgency=high

  * Added support for "large limits" (#16 <https://github.com/ros/angles/issues/16>)
    * Added support for "large limits"
    * shortest_angle_with_large_limits in python
  * Contributors: Franco Fusco

 -- Tully Foote <tfoote@osrfoundation.org>  Tue, 07 Jan 2020 16:00:00 -0000

ros-iron-angles (1.12.1-4jammy) jammy; urgency=high

  * Adding export lines to CMakeLists.txt (#14 <https://github.com/ros/angles/issues/14>)
    * Adding export lines to CMakeLists.txt
    This is needed for dependent packages to pick up the include
    directory
  * Contributors: Carl Delsey

 -- Tully Foote <tfoote@osrfoundation.org>  Mon, 19 Nov 2018 16:00:00 -0000

ros-iron-angles (1.12.0-4jammy) jammy; urgency=high

  * update for ament and ros2 (#12 <https://github.com/ros/angles/issues/12>)
  * Small documentation updates.
  * enable for win10 ros2
  * Contributors: Brian Fjeldstad, Jonathan Binney, Tully Foote

 -- Tully Foote <tfoote@osrfoundation.org>  Wed, 27 Jun 2018 16:00:00 -0000

ros-iron-angles (1.9.11-4jammy) jammy; urgency=high

  * Add a python implementation of angles
  * Do not use catkin_add_gtest if CATKIN_ENABLE_TESTING
  * Contributors: David V. Lu, David V. Lu!!, Ryohei Ueda

 -- Tully Foote <tfoote@osrfoundation.org>  Thu, 13 Apr 2017 16:00:00 -0000

ros-iron-angles (1.9.10-4jammy) jammy; urgency=high

  * Export architecture_independent flag in package.xml
  * Simply and improve performance of shortest_angular_distance(). adding two unit test cases
  * check for CATKIN_ENABLE_TESTING
  * Contributors: Derek King, Lukas Bulwahn, Scott K Logan, Tully Foote

 -- Tully Foote <tfoote@osrfoundation.org>  Sun, 28 Dec 2014 16:00:00 -0000

ros-iron-angles (1.9.9-4jammy) jammy; urgency=high

  * catkin as a buildtool dependency
  * Contributors: Tully Foote

 -- Tully Foote <tfoote@osrfoundation.org>  Fri, 22 Mar 2013 16:00:00 -0000

ros-iron-angles (1.9.8-4jammy) jammy; urgency=high

  * Removed 'copyright' tag from package.xml
  * Contributors: William Woodall

 -- Tully Foote <tfoote@osrfoundation.org>  Tue, 04 Dec 2012 16:00:00 -0000

ros-iron-angles (1.9.7-4jammy) jammy; urgency=high

  * fix typo
  * Contributors: Vincent Rabaud

 -- Tully Foote <tfoote@osrfoundation.org>  Tue, 02 Oct 2012 13:23:00 -0000

ros-iron-angles (1.9.6-4jammy) jammy; urgency=high

  * comply to the new catkin API
  * Contributors: Vincent Rabaud

 -- Tully Foote <tfoote@osrfoundation.org>  Tue, 02 Oct 2012 07:39:00 -0000

ros-iron-angles (1.9.5-4jammy) jammy; urgency=high

  * fixes to build
  * Contributors: Ioan Sucan

 -- Tully Foote <tfoote@osrfoundation.org>  Sun, 16 Sep 2012 10:11:00 -0000

ros-iron-angles (1.9.4-4jammy) jammy; urgency=high

  * rename the include folder to angles as it should be
  * Contributors: Vincent Rabaud

 -- Tully Foote <tfoote@osrfoundation.org>  Sat, 15 Sep 2012 17:24:00 -0000

ros-iron-angles (1.9.3-4jammy) jammy; urgency=high

  * fix relative path
  * Contributors: Ioan Sucan

 -- Tully Foote <tfoote@osrfoundation.org>  Sun, 02 Sep 2012 16:55:00 -0000

ros-iron-angles (1.9.2-4jammy) jammy; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Sun, 02 Sep 2012 16:32:00 -0000

ros-iron-angles (1.9.1-4jammy) jammy; urgency=high

  * add proper manifest
  * Contributors: Ioan Sucan

 -- Tully Foote <tfoote@osrfoundation.org>  Mon, 23 Jul 2012 16:00:00 -0000

ros-iron-angles (1.9.0-4jammy) jammy; urgency=high

  * fix the test for the new headers
  * fix the guard
  * package builds with catkin
  * remove useless header
  * copying from geometry/
  * Contributors: Ioan Sucan, Vincent Rabaud

 -- Tully Foote <tfoote@osrfoundation.org>  Sun, 22 Jul 2012 16:00:00 -0000
